# OSGeo::FDO::Commands::Feature::ISelectImp Class Reference
[OSGeo::FDO::Commands::Feature]

Inheritance diagram for OSGeo::FDO::Commands::Feature::ISelectImp:

[legend]

List of all members.

## Detailed Description

The ISelectImp class is a concrete implementation of interface ISelect. The ISelect interface defines the Select command, which queries for features of a given class that match the specified criteria. Input to the select command includes the name of the class, the list of properties to be returned, and a filter. All but the class name is optional. If the list of properties to be returned is empty then all properties are returned. The filter may be specified either as text or as an expression tree (most likely produced by a query builder). The result of executing a select command is an IFeatureReader reference (see "Reading Features"). If the feature provider supports locking, then the select command can optionally lock all of the features selected, via the ExecuteWithLock method (see "Locking Commands" for more information on locking features).

()

## Public Member Functions
OSGeo::FDO::Commands::Feature::IFeatureReader * | Execute ()
| Executes the select command and returns a reference to an IFeatureReader.
OSGeo::FDO::Commands::Feature::IFeatureReader * | ExecuteWithLock ()
| Executes the select command and returns a reference to an IFeatureReader.
__property OSGeo::FDO::Commands::Locking::ILockConflictReader * | get_LockConflicts ()
| When executing the operation ExecuteWithLock lock conflicts may occur. Those lock conflicts are reported. The function GetLockConflicts returns a lock conflict reader providing access to the list of lock conflicts that occurred during the execution of the operation.
__property OSGeo::FDO::Commands::Locking::LockStrategy | get_LockStrategy ()
| Gets the LockStrategy value (see "Locking Commands").
__property OSGeo::FDO::Commands::Locking::LockType | get_LockType ()
| Gets the LockType value (see "Locking Commands").
__property System::Void | set_LockStrategy (OSGeo::FDO::Commands::Locking::LockStrategy value)
| Sets the LockStrategy value (see "Locking Commands").
__property System::Void | set_LockType (OSGeo::FDO::Commands::Locking::LockType value)
| Sets the LockType value (see "Locking Commands").